% Import COMSOL .txt files into MATLAB (.mat)

clear all
close all
clc

Path = '.\Meshes\'; % add path to subfolder 'Meshes'

% Mesh variables
Orientation = 'Concentric'; % 'Radial' % 'Reference'
Amplitude = 4; % 2 % 4 % 8 % 16
Number = 4; % 2 % 4 % 8 % 0

filenameID = [Path Orientation 'A' num2str(Amplitude) 'N' num2str(Number) 'ID'];
filenameCluster = [Path Orientation 'A' num2str(Amplitude) 'N' num2str(Number) 'Cluster'];
filename_mat = [Orientation 'A' num2str(Amplitude) 'N' num2str(Number) '.mat'];

[pc,tc]=importmesh2D(filenameID);
[pclust,tclust]=importmesh2D(filenameCluster);

% Display mesh
% Note that in the COMSOL files, the cell axis is parallel to the x-axis.
% In the article, meshes are shown rotated such that the cell axis is parallel to the z-axis.
% The rotation is performed here by permutation of the coordinates with
% appropriate change of sign
figure()
trimesh(tc,-pc(:,3),pc(:,2),pc(:,1),'EdgeColor','k','FaceColor','[0.7 0.7 0.7]');
hold on
trimesh(tclust,-pclust(:,3),pclust(:,2),pclust(:,1),'EdgeColor','k','FaceColor','r');
hold off
axis equal 

% Save (.mat) file
save(filename_mat); % save mesh 